import { Dispatcher, EventBus } from '../../bus';
import { Resource } from './resource';
export declare class ResourceManager extends Dispatcher {
    readonly eventBus: EventBus;
    protected resources: Resource[];
    constructor(eventBus: EventBus);
    get length(): number;
    get all(): Resource[];
    set(resources: Resource[]): void;
    destroy(): void;
}
